<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>
	<style type="text/css">
			canvas{
			width: 800px;
			height: 100px;
			background-color: #999999;
			margin: 0px auto;
			display: block;
			margin-bottom: 3%;
			margin-top: 3%;
		}
		#botones{
			display: flex;
			justify-content: space-around;
		}
		
	</style>
	<script type="text/javascript">
		let canvas;
		let ctx;
		let ancho=400;
		window.addEventListener("load", inicio);
			function inicio(){
				btnSube=document.querySelector("#btn1");
				canvas=document.querySelector("canvas");
				ctx=canvas.getContext("2d");
				btn1.addEventListener("click",decrementar);
				btn2.addEventListener("click",incrementar);
				console.log("llega");
				ctx.fillStyle="rgb(0,128,0)";
				ctx.fillRect(0,0, ancho, 100);
				console.log("ancho inicial "+ancho);

			}
			function decrementar(){
				if(ancho>0){
					ancho=ancho-25;
					ctx.clearRect(ancho, 0, ancho, 100);
					if (ancho==0) {
						ctx.clearRect(0, 0, 800, 100);
					}
				}
				
				
				console.log(ancho);
			}
			function incrementar(){
				if(ancho<800){
					ancho=ancho+25;
					ctx.fillRect(0,0, ancho, 100);
				}
				
				console.log(ancho);
			}
	</script>
</head>
<body>
	<canvas width="800" height="100">
		Tu navegador no admite el elemento canvas.
	</canvas>
	<div id="botones">
		<button id="btn1">Decrementar</button>
		<button id="btn2">Incrementar</button>
	</div>
	
</body>
</html>